org.gradle.language.jvm

## Interface ClassDirectoryBinary

- All Superinterfaces:
    Binary, Buildable, BuildableModelElement, Named

      @Incubating
      public interface ClassDirectoryBinary
      extends Binary

  An exploded binary containing resources and compiled class files.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getClassesDir()`
    `File` | `getResourcesDir()`
    `DomainObjectCollection<LanguageSourceSet>` | `getSource()`
    `void` | `setClassesDir(File dir)`
    `void` | `setResourcesDir(File dir)`

    - ### Methods inherited from interface org.gradle.language.base.BuildableModelElement

      `builtBy, setLifecycleTask`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getClassesDir

          File getClassesDir()

    - #### setClassesDir

          void setClassesDir(File dir)

    - #### getResourcesDir

          File getResourcesDir()

    - #### setResourcesDir

          void setResourcesDir(File dir)

    - #### getSource

          DomainObjectCollection<LanguageSourceSet> getSource()